Subject: RE: [rohc] Clarification required in ROHC implementer's guide

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Tue, 19 Jul 2005 10:36:45 +0200

> But, I am not clear on your response to Vinod on 
> insertion/removal bit mask. My understanding based
> on RFC3095 (section 5.8.3), insertion/removal bit
> mask and its size is derived based on items in
> curr_list -
> 
> (1) For insertion,
>     Bit list size = Size of (number of items in) curr_list.
> (2) For removal,
>     Bit list length = Size of (number of items in) curr_list 
>     + number of items removed.

Well, it is a removal bit mask operating on ref_list, so I
would say the length of the bit mask is <= size of ref_list.
The removal mask indicates which items are to be removed from
ref_list, and if the decompressor gets a removal bit mask
shorter than ref_list, it can assume items above the end of
the mask are kept, i.e. the mask is padded with 1's up to
the size of ref_list.

BR
/L-E

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc